Summary: ROSA graphical boot theme
Name: rosa-gfxboot-theme
Version: 1.0.2
Release: 4
License: GPL
Group: System/Configuration/Boot and Init
# URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/theme/mandriva-gfxboot-theme/trunk/
Source: rosa-gfxboot-theme-%{version}.tar.lzma
#
Source1: back.jpg
Source2: welcome.jpg
Source3: timer_a.jpg
Source4: mandriva.pcx
Source5: grub-gfxmenu

BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
#Exclusivearch: %ix86 x86_64
BuildArch: noarch

%description
This package provides the ROSA Marathon gfxboot theme.
This theme is used by the ROSA installation to initialized
the DVD/CD/USB boot, and by installed system to boot.

%prep
%setup -q

# our jpegs:
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} data-install/
install -m 644 %{SOURCE1} %{SOURCE3} data-boot/

%build
CXXFLAGS=
#gfxboot binary is needed for the build and is in /usr/sbin
#make sure we only build one task at a time since po generation is broken
#otherwise
PATH="$PATH:/usr/sbin" make

%install
dest=%{buildroot}%{_datadir}/gfxboot/themes/ROSA
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE5} %{buildroot}%{_sbindir}

%post
if [ "$1" -gt 1 ]; then
   %_sbindir/grub-gfxmenu --update-gfxmenu
fi

%files
%defattr(-,root,root,-)
%doc
%_sbindir/*
%_datadir/gfxboot/themes/ROSA/




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.2-4
+ Revision: a44b00c
- MassBuild#440: Increase release tag


